Group: Office
# BEGIN SourceDeps(oneline):
BuildRequires(pre): libGConf-devel
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-gettextize texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ignuit
Version:        2.24.3
Release:        alt2_16
Summary:        Memorization aid based on the Leitner flashcard system

License:        GPLv3+ and GPLv2
URL:            http://crash.ihug.co.nz/~trmusson/programs.html
Source0:        http://crash.ihug.co.nz/~trmusson/stuff/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gstreamer1.0-devel libgstreamer1.0-gir-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  libglade-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libxslt-devel
BuildRequires:  librarian
BuildRequires:  desktop-file-utils
BuildRequires:  GConf libGConf libGConf-gir

Requires:       gst-plugins-base1.0 libgst-plugins1.0-gir

Requires(pre):   GConf libGConf libGConf-gir
Requires(post):  GConf libGConf libGConf-gir
Requires(preun): GConf libGConf libGConf-gir
Requires(post):  info info-install
Requires(preun): info info-install
Source44: import.info

%description
Ignuit is a memorization aid based on the Leitner flashcard system. It has a 
GNOME look and feel, a good selection of quiz options, and supports UTF-8. Cards
can include embedded audio, images, and mathematical formulae (via LaTeX). It 
can import and export several file formats, including CSV. Ignuit can be used 
for both long-term learning and cramming.

%prep
%setup -q

%build
%configure
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL='install -p'
%find_lang %{name}
desktop-file-install                                    \
    --remove-key="Encoding"                             \
    --remove-key="MimeType"                             \
    --delete-original                                   \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop
rm -f %{buildroot}%{_infodir}/dir

%post
%gconf2_install %{name}

%preun
if [ "$1" -eq 0 ]; then
    %gconf2_uninstall  %{name}
fi

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING COPYING.extras NEWS README TODO examples
%{_mandir}/man1/%{name}.1*
%{_infodir}/%{name}.info.*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_datadir}/omf/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 2.24.3-alt2_16
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2.24.3-alt2_14
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.24.3-alt2_13
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.24.3-alt2_12
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.24.3-alt2_11
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.24.3-alt2_10
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.24.3-alt2_9
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.24.3-alt2_8
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.24.3-alt1_8
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.24.3-alt1_7
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.24.3-alt1_6
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.24.3-alt1_5
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.24.3-alt1_4
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.24.3-alt1_3
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.24.2-alt1_4
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.24.2-alt1_2
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 2.24.2-alt1_1
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.24.0-alt1_3
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.24.0-alt1_2
- update to new release by fcimport

* Mon Oct 20 2014 Igor Vlasenko <viy@altlinux.ru> 2.20.0-alt1_2
- update to new release by fcimport

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.16-alt1_7
- update to new release by fcimport

* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.16-alt1_6
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.16-alt1_5
- initial fc import

